Bug 135184 - xcdroast unable to identify data disk
xcdroast unable to identify data disk
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xcdroast (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-09 18:26 EDT by Eric Yeo
Modified: 2008-05-06 11:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:27:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Yeo 2004-10-09 18:26:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
When reading a disk, xcdroast identifies all disks as audio disk when
clearly they are data disks. This makes xcdroast unable to make copies
of data disks.

Version-Release number of selected component (if applicable):
xcdroast-0.98a15-6.FC2.1

How reproducible:
Always

Steps to Reproduce:
1. Insert data CD-ROM, CD-R, CD-RW, DVD-ROM, DVD(+-)R, DVD(+-)RW
2. Run xcdroast
3. Click on Duplicate CD/DVD button


Actual Results:  Disks are identified as audio disk and data tracks
identified as audio tracks

Expected Results:  Disk should be identified as data disk and tracks
as data tracks

Additional info:

Previous rpms for xcdroast works as expected.
Comment 1 Harald Hoyer 2004-10-11 04:43:14 EDT
which kernel do you have?
Comment 2 Eric Yeo 2004-10-11 04:47:25 EDT
Kernel version is kernel-2.6.8-1.521
Comment 3 Harald Hoyer 2004-10-11 05:33:01 EDT
then this maybe a duplicate of bug #130576
Comment 4 Eric Yeo 2004-10-11 16:46:14 EDT
Bug #13056 relates to writing. My problem relates to reading. They may
or may not be the manifestation of the same bug. Not being familiar
with kernel code I cannot say.
Comment 5 Alfredo Ferrari 2004-12-13 15:46:13 EST
I have kernel 2.6.9-1.6_FC2 and the problem is still there on three
different platform (Dell Precision 530 (smp), Dell Latitude D800,
Dell Latitude X300). It is a very nasty bug, it makes xcdroast pretty
unusable (apart from plain audio CD's). The bug related to writing
was specific to 2.6.8-1.521, it is no longer there with 2.6.9-1.6_FC2
Comment 6 Matthew Miller 2005-04-26 11:13:59 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 7 Alfredo Ferrari 2005-04-26 11:22:53 EDT
Confirmed on Fedroa 3. The bugs is still there (checked on a Dell Precision 670),
whichever data CD is recognized as an audio CD and no copy can be successfully
performed.
I could'nt reopen or change the version to fc3 beacuse:
"You tried to change the Version field from fc2 to fc3, but only the owner or
submitter of the bug, or a sufficiently empowered user, may change that field."
Comment 8 Matthew Miller 2005-04-26 11:48:27 EDT
-> fc3 as per comment #7
Comment 9 Matthew Miller 2006-07-10 18:05:24 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 10 Eric Yeo 2006-07-10 18:20:03 EDT
Same issues in FC5
Comment 11 Matthew Miller 2006-07-11 14:06:36 EDT
Thanks.
Comment 12 Matthew Miller 2006-07-11 14:08:34 EDT
(marking as info provided.)
Comment 13 petrosyan 2008-03-10 01:03:29 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 8?
Comment 14 Bug Zapper 2008-04-03 21:51:21 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 15 Bug Zapper 2008-05-06 11:27:28 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.